# prometheus/node_exporter

- name: Reload node_exporter
  become: yes
  service: 
    name: "node_exporter"
    state: reloaded

- name: Restart node_exporter
  become: yes
  systemd: 
    name: "node_exporter"
    state: restarted
    daemon_reload: yes
  notify: Wait node_exporter

- name: Wait node_exporter
  wait_for: 
    port: "9100"
    timeout: "60"
